Loading...
Searching...
No Matches
DBIDriver Class Reference

this class provides the internal link to the database driver for Qore's DBI layer More...

`#include <DBI.h>`

## Public Member Functions

DLLEXPORT const char * | getName () const
| this is the only public exported function available in this class More...
DLLEXPORT QoreHashNode * | getOptionHash () const
| returns the valid options for this driver with descriptions More...
DLLEXPORT bool | hasStatementAPI () const
| returns true if the driver supports the statement API

## Detailed Description

this class provides the internal link to the database driver for Qore's DBI layer

most of these functions are not exported; the Datasource class should be used instead of using the DBIDriver class directly

See also
  Datasource

## Member Function Documentation

## getName()

DLLEXPORT const char * DBIDriver::getName | ( |  | ) | const

this is the only public exported function available in this class

Returns
  the name of the driver (ex: "oracle")

## getOptionHash()

DLLEXPORT QoreHashNode * DBIDriver::getOptionHash | ( |  | ) | const

returns the valid options for this driver with descriptions

Returns
  a hash where the keys are valid option names, and the values are hashes with the following keys:
  - `"desc"`: a string description of the option
  - `"type"`: a string giving the data type restriction for the option

The caller owns the reference count for the hash returned

The documentation for this class was generated from the following file:

- include/qore/DBI.h